varying vec2 v_texCoord;
varying vec2 v_cellTexCoord;

void main()
{
    vec4 color = texture2D(CC_Texture1, v_cellTexCoord);
    
    //color = color + vec4(0.5,0.5,0.5,0.0) * step (0.001, color.a);
    color.a = 0.5 * step(0.001, color.a);
    gl_FragColor = color;
}
